Subject: Re: bug#40518: guix pull: Dependency guix-packages-base fails

From: Ludovic Courtès <[email-masked]>
Date: Thu, 09 Apr 2020 17:30:48 +0200

[email-masked] skribis:

>> I’m pretty sure the issue is caused by ‘--debug=3’.  Could you try
>> simply:
>>
>>   guix build /gnu/store/waisnnl9nbmlbpfwbn50pif79fsdknf9-guix-packages-base.drv
>
> Oh! I had no idea the --debug flag could affect build success. The original issue I
> encountered was with a plain `guix pull', but in an attempt to provide the most useful
> diagnostics, I tried including --debug=3. In any event, it just so happens that I
> saved the output from the original pull command, which I am attaching in case it
> happens to prove helpful.

Yeah, that ‘--debug=3’ leads to breakage is a bug.

> As it turns out, I tried another pull just a bit earlier, which ended up succeeding;
> however, I went ahead and tried running the build you suggest like this:
>
>     $ guix pull -S 1  # broken build happened with generation 1
>     $ guix build --check /gnu/store/waisnnl9nbmlbpfwbn50pif79fsdknf9-guix-packages-base.drv
>     The following derivation will be built:
>        /gnu/store/waisnnl9nbmlbpfwbn50pif79fsdknf9-guix-packages-base.drv
>     building /gnu/store/waisnnl9nbmlbpfwbn50pif79fsdknf9-guix-packages-base.drv...
>     [321/554] compiling...   15.9% of 277 filesbuilder for `/gnu/store/waisnnl9nbmlbpfwbn50pif79fsdknf9-guix-packages-base.drv' failed due to signal 9 (Killed)
>     build of /gnu/store/waisnnl9nbmlbpfwbn50pif79fsdknf9-guix-packages-base.drv failed
>     View build log at '/var/log/guix/drvs/wa/isnnl9nbmlbpfwbn50pif79fsdknf9-guix-packages-base.drv.bz2'.
>     guix build: error: build of `/gnu/store/waisnnl9nbmlbpfwbn50pif79fsdknf9-guix-packages-base.drv' failed
>
> What could be causing the build to receive SIGKILL?

It could be an out-of-memory (OOM) condition: this build phase is
unfortunately very demanding currently (at least 2 GiB or RAM I think).
How much RAM do you have?

(Of course it’s OK if you get substitutes for that and don’t have to
build it locally, which hopefully is often the case.)

Thanks,
Ludo’.